clang 10.0.0git

Functions
clang::driver::tools::riscv Namespace Reference

## Functions
void | getRISCVTargetFeatures (const Driver &D, const llvm::Triple &Triple, const llvm::opt::ArgList &Args, std::vector< llvm::StringRef > &Features)
StringRef | getRISCVABI (const llvm::opt::ArgList &Args, const llvm::Triple &Triple)
StringRef | getRISCVArch (const llvm::opt::ArgList &Args, const llvm::Triple &Triple)

## Function Documentation

## ◆ getRISCVABI()

StringRef clang::driver::tools::riscv::getRISCVABI | ( | const llvm::opt::ArgList & | Args,
|  | const llvm::Triple & | Triple
| ) |  |

Referenced by clang::driver::tools::ClangAs::AddRISCVTargetArgs(), clang::driver::tools::gnutools::Assembler::ConstructJob(), findRISCVBareMetalMultilibs(), findRISCVMultilibs(), clang::driver::toolchains::Linux::getDynamicLinker(), and renderRemarksOptions().

## ◆ getRISCVArch()

StringRef clang::driver::tools::riscv::getRISCVArch | ( | const llvm::opt::ArgList & | Args,
|  | const llvm::Triple & | Triple
| ) |  |

Definition at line 520 of file RISCV.cpp.

Referenced by clang::driver::tools::gnutools::Assembler::ConstructJob(), and findRISCVBareMetalMultilibs().

## ◆ getRISCVTargetFeatures()

void clang::driver::tools::riscv::getRISCVTargetFeatures | ( | const Driver & | D,
|  | const llvm::Triple & | Triple,
|  | const llvm::opt::ArgList & | Args,
|  | std::vector< llvm::StringRef > & | Features
| ) |  |

Referenced by getTargetFeatures().